Subject: bug#73387: 30.0.90; C-x v v in diff-mode doesn't work after C-c C-n

From: Sean Whitton <[email-masked]>
Date: Wed, 02 Oct 2024 09:26:42 +0800

Hello,

On Tue 01 Oct 2024 at 06:51pm +03, Eli Zaretskii wrote:

> I can explain the rationale for doing the opposite: when describing
> the operation with active region, we usually start with "If the region
> is active..." or with some other similar conditional language.  This
> then makes it natural to explain the behavior in the other cases,
> because the active-region one is clearly conditional, and thus not the
> general case.
>
> By contrast, your text starts with the description of behavior that
> has no conditions, and thus is perceived as the complete and
> exhaustive.  Then the next sentence is "out of the blue" because the
> reader does not expect any such additions, being just told what the
> command does, period.

Yes, I know what you mean about that sentence coming out of the blue.
But as Dmitry says, the behaviour when the region is active is a bonus
feature, not really what the command is about.

Do you think maybe this is better:

    Delete all hunks other than the current hunk.
    As a special case, when called interactively with an active region ...

-- 
Sean Whitton